# ShipyardClient

A Shipyard 3.0 API wrapper for Ruby

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'shipyard_client'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install shipyard_client

## Usage

```ruby
require 'shipyard_client'

HOST = 'http://localhost:8080'
SERVICE_KEY = 'your_service_key'

s = ShipyardClient::Shipyard.new(HOST, SERVICE_KEY)

puts s.list_containers

s.remove_container('3a8151e21caa')
s.start_container('3a8151e21caa')
s.stop_container('3a8151e21caa')
s.restart_container('3a8151e21caa')

options = {
  ExposedPorts: {
    '1999/tcp': {},
    '6633/tcp': {}
  },
  HostConfig: {
    PortBindings: {
      '1999/tcp': [{ HostPort: '7896' }],
      '6633/tcp': [{ HostPort: '9089' }]
    }
  }
}

s.create_container('linton/remote-ryu', options)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/hsnl-dev/shipyard_client. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
